Subject: bug#79035: Remove micro-optimization for Funintern for performance

From: Lynn Winebarger <[email-masked]>
Date: Sat, 19 Jul 2025 12:13:07 -0400

On Sat, Jul 19, 2025, 11:37 AM Mattias Engdegård <
[email-masked]> wrote:

> 18 juli 2025 kl. 23.43 skrev Lynn Winebarger <[email-masked]>:
>
> > Since I haven't heard back, I'm just going to revise the patch set
> > here.
>
> I pushed some patches for removing load-convert-to-unibyte (a good catch,
> thank you!) and fixing unintern.
>
> Regarding read-char etc they indeed don't belong in lread.c but the same
> is true for some other things such as the obarray code. Maybe later.
>

Wasn't sure about obarrays since read0 might conceivably inline code
referencing the initial obarray for performance.

> Looks like this concludes this bug -- anything else?
>
> For future contributions:
>
> * House conventions for commit messages.
>
I'm trying to get there.

* No walls of text.
I don't know what that means.  Although I suspect your reaction to that is
something like "Obviously"....

* No benchmarks with -O0.

Ok.  Do you have any benchmarks you prefer to see?

Lynn